Add PositivePay Rule - V2Deprecated

Add positive pay rule.

  • ⚠️ This endpoint is deprecated and will be removed.
  • Please switch to v3 POST: /v3/positivepay/rules
SecurityoAuth2
Request
Request Body schema: application/json
paymentRuleType
required
string

Payment type associated with the rule such as ACH for Positive Pay, FEDWIRE for Drawdown, INSTANT for Request for Pay etc.

customerName
string

Customer name associated with the payment positive rule

customerAccountNumber
required
string

Bank Account Number

achCompanyID
string

ACH company ID is a 10-digit identifier used by banks and Nacha, the operator of the ACH network, to identify the entity collecting payments or sending money via ACH (also referred to as an “originator”)

beneBankId
string

Bank unique id that is used to identify a specific bank

beneName
string

A beneficiary is the person or entity that will receive the payment

beneBankName
string

Beneficiary bank name

beneAccountNumber
string

A beneficiary bank account number

amount
required
number

Payment amount

currency
string

Currency Code

amountType
required
string

Type of amount associated with the positive pay rule.

frequency
required
string

Positive pay rule frequency

Enum: "ON_GOING" "ONE_TIME" "DAILY" "WEEKLY" "BI_WEEKLY" "MONTHLY" "QUARTERLY" "SEMI_ANNUAL" "ANNUAL"
secCode
string

SEC code associated with the ACH positive rule. It is an optional field. If secCode is not provided in the request then the default value i.e 'ALL' will be applicable.

effectiveDate
required
string

Rule effective date in mm-dd-yyyy format

expiryDate
string

Rule expiry date in mm-dd-yyyy format

Responses
200

Successfully processed request

400

Bad request

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Internal server error

503

Service unavailable

post/v2/positivepay/rules
Request samples
application/json
{
  • "paymentRuleType": "ACH, FEDWIRE, INSTANT",
  • "customerName": "ABC Company",
  • "customerAccountNumber": "12387878",
  • "achCompanyID": "1234567899",
  • "beneBankId": "12345678",
  • "beneName": "XYZ Name",
  • "beneBankName": "Bank Name",
  • "beneAccountNumber": "12345678",
  • "amount": 10,
  • "currency": "USD",
  • "amountType": "Exact or Maximum",
  • "frequency": "ON_GOING",
  • "secCode": "CCD",
  • "effectiveDate": "11-01-2022",
  • "expiryDate": "11-01-2022"
}
Response samples
application/json
{
  • "status": "Success",
  • "code": "string",
  • "message": "Positive rules created successfully",
  • "ruleUID": 869
}